# norootforbuild

%define waddir  %{_datadir}/doom

Name:           freedoom-freedm
Version:        0.6.4
Release:        1
Summary:        Deathmatch levels for Doom
Group:          Amusements/Games
License:        BSD
URL:            http://freedoom.sourceforge.net
Source0:        http://mirror.lihnidos.org/GNU/savannah/freedoom/freedm/freedm-%{version}.zip
Source1:        freedoom-freedm.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildArch:      noarch
BuildRequires:  update-desktop-files
BuildRequires:  unzip
BuildRequires:  prboom freedoom
Requires:       prboom freedoom

%description
A set of deathmatch levels for the DOOM game engine, based on the
freely redistributable Freedoom game files.

%prep
%setup -q -n freedm-%{version}

%build
# Game data files.  Nothing to build!

%install
install -D -m 0644 freedm.wad $RPM_BUILD_ROOT%{waddir}/freedm.wad
%suse_update_desktop_file -i %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING CREDITS NEWS
%{waddir}/freedm.wad
%{_datadir}/applications/*.desktop

%changelog
